import { Nullable } from '@fresha/api-tools-core';
import type { ExternalDocumentationModel, OpenAPIModel, ParameterModel, PathItemOperationKey, SchemaModel, TagModel } from '@fresha/openapi-model/build/3.0.3';
export declare class Differ {
    #private;
    constructor(model1: OpenAPIModel, model2: OpenAPIModel);
    calculate(): void;
    protected diffInfo(): void;
    protected diffContact(): void;
    protected diffLicense(): void;
    protected diffServers(): void;
    protected diffPaths(): void;
    protected diffPathItem(pathUrl: string): void;
    protected diffParameters(parameters1: readonly ParameterModel[], parameters2: readonly ParameterModel[], basePointer: string): void;
    protected diffParameter([param1]: [ParameterModel, number], [param2, index2]: [ParameterModel, number], basePointer: string): void;
    protected diffSchema(schema1: Nullable<SchemaModel>, schema2: Nullable<SchemaModel>, basePointer: string): void;
    protected diffOperation(pathUrl: string, httpMethod: PathItemOperationKey): void;
    protected diffComponents(): void;
    protected diffMapKeys<V>(map1: ReadonlyMap<string, V>, map2: ReadonlyMap<string, V>, basePointer: string): [Set<string>, Set<string>, Set<string>];
    protected diffSecurityRequirements(): void;
    protected diffTags(): void;
    protected diffTag(tag1: TagModel, tag2: TagModel, basePointer: string): void;
    protected diffExternalDocs(docs1: Nullable<ExternalDocumentationModel>, docs2: Nullable<ExternalDocumentationModel>, basePointer: string): void;
    protected calculateNewVersion(): void;
    print(): void;
    get outdatedVersion(): boolean;
    get newVersion(): string;
}
//# sourceMappingURL=Differ.d.ts.map